<?php
    namespace Encuesta;
    class Respuesta{
        private int $id;
        private Pregunta $pregunta;
        private string $nombre;
        private string $identificadorDeRespuesta;
        private int $peso;
        private int $tipoDeAccion;
        private string $valorDeAccion;
        public function __construct(int $id, Pregunta $pregunta, string $nombre, string $identificadorDeRespuesta, int $peso, int $tipoDeAccion, string $valorDeAccion){
            $this->id = $id;
            $this->pregunta = $pregunta;
            $this->nombre = $nombre;
            $this->identificadorDeRespuesta = $identificadorDeRespuesta;
            $this->peso = $peso;
            $this->tipoDeAccion = $tipoDeAccion;
            $this->valorDeAccion = $valorDeAccion;
        }
        public function getPregunta():Pregunta{
            return $this->pregunta;
        }
        public function getId():int{
            return $this->id;
        }
        public function getNombre():String{
            return $this->nombre;
        }
    }
?>